local assets=
{ 
    Asset("ANIM", "anim/demonsword.zip"),
    Asset("ANIM", "anim/swap_demonsword.zip"), 
    Asset("ATLAS", "images/inventoryimages/demonsword.xml"),
    Asset("IMAGE", "images/inventoryimages/demonsword.tex"),
}


local function fn(colour)

    local function OnEquip(inst, owner) 
        --owner.AnimState:OverrideSymbol("swap_object", "swap_demonswords", "purplestaff")
        owner.AnimState:OverrideSymbol("swap_object", "swap_demonsword", "demonsword")
        owner.AnimState:Show("ARM_carry") 
        owner.AnimState:Hide("ARM_normal") 
    end

    local function OnUnequip(inst, owner) 
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
    end
	

    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
	inst.entity:AddMiniMapEntity()
    MakeInventoryPhysics(inst)
	inst.entity:AddNetwork()
    
    anim:SetBank("demonsword")
    anim:SetBuild("demonsword")
    anim:PlayAnimation("idle")
	
	inst.MiniMapEntity:SetIcon( "demonsword.tex" )	
	
	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(80)

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "demonsword"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/demonsword.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
	inst.components.equippable.dapperness = TUNING.CRAZINESS_MED * 0.5

    return inst
end

return  Prefab("common/inventory/demonsword", fn, assets, prefabs)